Subject: Re: What's cooking in git.git (Jun 2016, #05; Thu, 16)

From: Michael Haggerty <[email-masked]>
Date: Sun, 19 Jun 2016 10:15:19 +0200

On 06/18/2016 08:20 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> On 06/17/2016 05:20 AM, Junio C Hamano wrote:
>>> [...]
>>> * mh/ref-iterators (2016-06-03) 13 commits
>>>   (merged to 'next' on 2016-06-06 at c8e79dc)
>>>  + ...
>>>  (this branch is used by mh/ref-store; uses mh/split-under-lock; is tangled with mh/update-ref-errors.)
>>>
>>>  The API to iterate over all the refs (i.e. for_each_ref(), etc.)
>>>  has been revamped.
>>>
>>>  Will merge to 'master'.
>>
>> It would be preferable (though not critical) to use the promised v3,
>> which I just sent [1]. This includes some minor improvements, described
>> here [2]. This is also available from my GitHub fork [3] as branch
>> "ref-iterators".
>>
>>> * mh/split-under-lock (2016-05-13) 33 commits
>>>   (merged to 'next' on 2016-06-03 at 2e71330)
>>>  + lock_ref_sha1_basic(): only handle REF_NODEREF mode
>>>  + ...
>>>  Will merge to 'master'.
>>
>> Please make sure to pick up the important bugfix discussed here [4],
>> which is integrated into branch "split-under-lock" on my GitHub fork [3].
> 
> Good timing. I was planning to kick split-under-lock and any of its
> dependents temporarily out of 'next', so that fixes can choose not
> to be incremental, and dependent topics can be rebased on top of the
> fixed fondation.  Even if we do incremental, [4] is not sufficient
> material for me to write a log message for.
> 
> So people who reviewed what has been in 'next' can revisit [4] and
> give review comments, while I could just pick up the history
> mentioned there, i.e.
> 
>     git checkout pu
>     git pull git://github.com/mhagger/git +split-under-lock:mh/split-under-lock
> 
> and we can start from there?

Sure. The branches in my GitHub fork already include all of the
improvements and fixes that I know of, and the only outstanding issue is
the one that Lars mentioned in this thread (which I believe to be a
problem in git-p4).

BTW, there are still no conflicts between these branches
(split-under-lock, update-ref-errors, ref-iterators, and ref-store) and
current master. Therefore, I don't see a need to rebase them onto
master. But if you would prefer that I do so, just let me know.

Michael